<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00086">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00086][Error]
        If PublicationMetadataList contains more than one PublicationMetadata 
        then all the PublicationMetadata elements must have ISM security marks present.
    </sch:p>
    
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        For each PublicationMetadataList element with more than one
        PublicationMetadata child, verify that the PublicationMetadata 
        child element specifies the attribute ism:classification, which 
        indicates ISM security markings.
    </sch:p>
    
    <sch:rule id="PUBS-ID-00086-R1" context="pubs:PublicationMetadataList[count(pubs:PublicationMetadata) &gt; 1]/pubs:PublicationMetadata">
        <sch:assert test="@ism:classification" flag="error" role="error">
            [PUBS-ID-00086][Error] When there are multiple PublicationMetadata each must be security portion marked 
            to facilitate use of PublicationMetadata at a different level than the document.
        </sch:assert>
    </sch:rule>
</sch:pattern>