<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00104">

    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">[PUBS-ID-00104][Error] When there is a mixture of Foreign Government
        Information (FGI) and US data present on a Para element with ism:ownerProducer containing
        [USA], then there must exist a source citation reference. Human Readable: Element Para with
        ism:ownerProducer containing [USA] and a mix of Foreign Goverment Information (FGI) and US
        data, must have a source citation reference.</sch:p>

    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">Given a pubs:Para element with @ism:ownerProducer containing USA and
        either attribute @ism:FGIsourceOpen or @ism:FGIsourceProtected, there must exist a source
        citation reference (pubs:SourceReferenceCitationRef).</sch:p>

    <sch:rule id="PUBS-ID-00104-R1" context="pubs:Para[contains(concat(' ',string(@ism:ownerProducer),' '), ' USA ') and (@ism:FGIsourceOpen or @ism:FGIsourceProtected)]">
        <sch:assert test=".//pubs:SourceReferenceCitationRef" flag="error" role="error">[PUBS-ID-00104][Error] When there is
            a mixture of Foreign Government Information (FGI) and US data present on a Para element
            with ism:ownerProducer containing [USA], then there must exist a source citation. reference Human
            Readable: Element Para with ism:ownerProducer containing [USA] and a mix of Foreign
            Goverment Information (FGI) and US data, must have a source citation reference.</sch:assert>
    </sch:rule>
</sch:pattern>