<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00111">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00111][Error]
        At least one of either irm:ICResourceMetadataPackage/irm:dates/@irm:posted or pubs:DatePublished 
        is required to be specified.      
        
        Human Readable: A PUBS document must have either a date posted or date published 
        specified for itself.
    </sch:p>
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        If a TDO has a PUBS assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of pubs:IntelDocMetadata, this rule verifies that at least one of 
        tdf:Assertion//irm:ICResourceMetadataPackage/irm:dates/@irm:posted or tdf:StructuredPayload//pubs:DatePublished is specified.
    </sch:p>
    
    <sch:rule id="PUBS-ID-00111-R1" context="tdf:TrustedDataObject[descendant::tdf:StructuredStatement/pubs:IntelDocMetadata]">
        <sch:assert test="tdf:Assertion/tdf:StructuredStatement/irm:ICResourceMetadataPackage/irm:dates[@irm:posted] or             
            tdf:StructuredPayload/descendant::pubs:DatePublished" flag="error" role="error">
            [PUBS-ID-00111][Error]
            At least one of either irm:ICResourceMetadataPackage/irm:dates/@irm:posted or pubs:DatePublished 
            is required to be specified.      
            
            Human Readable: A PUBS document must have either a date posted or date published 
            specified for itself.
        </sch:assert>
    </sch:rule>
</sch:pattern>