<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00113">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00113][Error]
        If a TrustedDataObject element contains an assertion with a PUBS structured statement, 
        it must also contain an assertion with an IRM structured statement. 
        
        Human Readable: If a Trusted Data Object contains a PUBS assertion, it must also contain an IRM assertion.  
    </sch:p>
    
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        If a TDO has a PUBS assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of pubs:IntelDocMetadata, verify that it also contains an IRM assertion, verified by checking if
        it has a tdf:StructuredStatement element with a child of irm:ICResourceMetadataPackage.
    </sch:p>
    
    <sch:rule id="PUBS-ID-00113-R1" context="tdf:TrustedDataObject[descendant::tdf:StructuredStatement/pubs:IntelDocMetadata]">
        <sch:assert test="descendant::tdf:StructuredStatement/irm:ICResourceMetadataPackage" flag="error" role="error">
            [PUBS-ID-00113][Error]
            If tdf:TrustedDataObject contains an assertion with a PUBS structured statement, 
            it must also contain an assertion with an IRM structured statement. 
            
            Human Readable: If a Trusted Data Object contains a PUBS assertion, it must also contain an IRM assertion. 
        </sch:assert>        
     </sch:rule>
</sch:pattern>